Package twisted :: Package web :: Package woven :: Module template :: Class DOMController

[frames | no frames]

## Class DOMController

    Resource --+
               |
      Controller --+
                   |
        Resource --+
                   |
                  DOMController

A simple controller that automatically passes responsibility on to the view class registered for the model. You can override render to perform more advanced template lookup logic.

Method Summary
| `__init__(self, *args, **kwargs)`
| `process(self, request, **kwargs)`
| ``render`(self, request)` Trigger any inputhandlers that were passed in to this Page, then delegate to the View for traversing the DOM.
| `setUp(self, request)`
Inherited from Controller
| ``aggregateInvalid`(self, request, input, data)`
| ``aggregateValid`(self, request, input, data)`
| ``domChanged`(self, request, widget, node)`
| ``exit`(self, request)` We are done handling the node to which this controller was attached.
| ``gatheredControllers`(self, v, d, request)`
| ``getChild`(self, name, request)` Look for a factory method to create the object to handle the next segment of the URL.
| ``getDynamicChild`(self, name, request)` This method is called when getChild cannot find a matching wchild_* method in the Controller.
| ``getSubcontroller`(self, request, node, model, controllerName)`
| ``handle`(self, request)` By default, we don't do anything
| ``importControllerLibrary`(self, namespace)`
| ``makeView`(self, model, templateFile, parentCount)`
| ``pageRenderComplete`(self, request)` Override this to recieve notification when the view rendering process is complete.
| ``renderView`(self, request)`
| ``setNode`(self, node)`
| ``setSubcontrollerFactory`(self, name, factory, setup)`
| ``setSubmodel`(self, submodel)`
| ``setupControllerStack`(self)`
| ``setView`(self, view)`
| ``wchild_index`(self, request)` By default, we return ourself as the index.
Inherited from Resource
| ``delEntity`(self, name)`
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`
| ``render_HEAD`(self, request)` Default handling of HEAD method.

Class Variable Summary
`tuple` | `__implements__` = `((<class twisted.web.woven.interfaces.I...`
Inherited from Controller
`int` | `addSlash` = 1
`list` | `controllerLibraries` = `[]`
`int` | `setupStacks` = 1
`str` | `templateDirectory` = `''`
`NoneType` | `viewFactory` = None
Inherited from Resource
`int` | `isLeaf` = 0
`NoneType` | `server` = None

Method Details

### render(self, request)

Trigger any inputhandlers that were passed in to this Page, then delegate to the View for traversing the DOM. Finally, call gatheredControllers to deal with any InputHandlers that were constructed from any controller= tags in the DOM. gatheredControllers will render the page to the browser when it is done.

  Overrides:
    `twisted.web.woven.controller.Controller.render` (inherited documentation)

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        ((<class twisted.web.woven.interfaces.IController at 0x858b4ec>,
          <class twisted.web.resource.IResource at 0x8450e44>),
         <class twisted.web.resource.IResource at 0x8450e44>)

Generated by Epydoc 2.0 on Sat May 15 20:07:53 2004 | http://epydoc.sf.net